Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.script
Class NanoContainerMarkupException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.picocontainer.PicoException
                      org.nanocontainer.script.NanoContainerMarkupException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  EmptyCompositionException

    public class NanoContainerMarkupException

extends org.picocontainer.PicoException

Exception thrown due to invalid markup when assembling `NanoContainer`s.

Version:
  $Revision: 1641 $
Author:
  James Strachan, Aslak Hellesøy
See Also:
  Serialized Form

Constructor Summary
`NanoContainerMarkupException(String message)`
`NanoContainerMarkupException(String message, Throwable e)`
`NanoContainerMarkupException(Throwable e)`

Method Summary

Methods inherited from class org.picocontainer.PicoException
`getCause, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NanoContainerMarkupException

    public NanoContainerMarkupException(String message)

### NanoContainerMarkupException

    public NanoContainerMarkupException(String message,
                                        Throwable e)

### NanoContainerMarkupException

    public NanoContainerMarkupException(Throwable e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.